package com.ym.mec.biz.service;

import java.io.File;

import com.ym.mec.biz.dal.entity.HfMember;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.thirdparty.adapay.entity.AccountInfo;

public interface HfMemberService extends BaseService<Integer, HfMember> {
	
	/**
     * 根据商户号获取商户信息
     *
     * @param memberId
     * @return
     */
    HfMember getByMemberId(String memberId);

    boolean createMember(HfMember member, File file) throws Exception;

    boolean updateMember(HfMember member, File file) throws Exception;

    boolean mergeSettleAccount(String memberId, AccountInfo accountInfo) throws Exception;
}
